13 Replies Latest reply on Oct 13, 2016 1:35 PM by Nick Boldt

    Can't update JBDS 10.2.0.AM1

    nicolas duminil Master

      Hello,

       

      I'm using JBDS 10.2..0.AM1. Launching th IDE displays a dialog box stating that updates are available. I'm checking for updates (Help->Check for updates) and I get the list of available updates. I select all of them and start the update process. But it raises the following exception:

       

      An error occurred while collecting items to be installed

      session context was:(profile=devstudio, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).

      No repository found containing: osgi.bundle,com.jboss.devstudio.core,10.2.0.AM2-v20161010-0511-B6181

      No repository found containing: osgi.bundle,com.jboss.devstudio.core.central,10.2.0.AM2-v20161010-0511-B6181

      No repository found containing: osgi.bundle,org.eclipse.cdt.core.native,5.9.0.201609121658

      No repository found containing: osgi.bundle,org.eclipse.cdt.core.win32,5.4.1.201609121658

      No repository found containing: osgi.bundle,org.eclipse.cdt.core.win32.x86_64,5.4.1.201609121658

      No repository found containing: osgi.bundle,org.eclipse.cvs,1.4.300.v20160907-1200

      No repository found containing: osgi.bundle,org.eclipse.debug.ui,3.11.201.v20160825-1412

      No repository found containing: osgi.bundle,org.eclipse.e4.core.di,1.6.1.v20160712-0927

      No repository found containing: osgi.bundle,org.eclipse.e4.ui.workbench.addons.swt,1.2.100.v20160831-1151

      No repository found containing: osgi.bundle,org.eclipse.e4.ui.workbench.swt,0.14.1.v20160829-0832

      No repository found containing: osgi.bundle,org.eclipse.ecf,3.8.0.v20160823-2221

      No repository found containing: osgi.bundle,org.eclipse.ecf.filetransfer,5.0.0.v20160823-2221

      No repository found containing: osgi.bundle,org.eclipse.ecf.identity,3.7.0.v20160823-2221

      No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer,3.2.200.v20160823-2221

      No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer.httpclient4,1.1.100.v20160823-2221

      No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer.httpclient4.ssl,1.1.0.v20160823-2221

      No repository found containing: osgi.bundle,org.eclipse.ecf.provider.filetransfer.ssl,1.0.0.v20160823-2221

      No repository found containing: osgi.bundle,org.eclipse.ecf.ssl,1.2.0.v20160823-2221

      No repository found containing: osgi.bundle,org.eclipse.egit,4.4.1.201607150455-r

      No repository found containing: osgi.bundle,org.eclipse.egit.core,4.4.1.201607150455-r

      No repository found containing: osgi.bundle,org.eclipse.egit.doc,4.4.1.201607150455-r

      No repository found containing: osgi.bundle,org.eclipse.egit.ui,4.4.1.201607150455-r

      No repository found containing: osgi.bundle,org.eclipse.egit.ui.smartimport,4.4.1.201607150455-r

      No repository found containing: osgi.bundle,org.eclipse.epp.logging.aeri.core,2.0.3.v20160905-0759

      No repository found containing: osgi.bundle,org.eclipse.epp.logging.aeri.ide,2.0.3.v20160905-1331

      No repository found containing: osgi.bundle,org.eclipse.equinox.http.servlet,1.3.1.v20160808-1329

      No repository found containing: osgi.bundle,org.eclipse.equinox.p2.ui.discovery,1.0.201.v20160901-1335

      No repository found containing: osgi.bundle,org.eclipse.equinox.preferences,3.6.1.v20160815-1406

      No repository found containing: osgi.bundle,org.eclipse.help.base,4.1.0.v20160907-1200

      No repository found containing: osgi.bundle,org.eclipse.jdt,3.12.1.v20160907-1200

      No repository found containing: osgi.bundle,org.eclipse.jdt.core,3.12.1.v20160829-0950

      No repository found containing: osgi.bundle,org.eclipse.jdt.debug,3.10.1.v20160811-0441

      No repository found containing: osgi.bundle,org.eclipse.jdt.debug.ui,3.7.201.v20160811-0450

      No repository found containing: osgi.bundle,org.eclipse.jdt.doc.user,3.12.1.v20160727-2009

      No repository found containing: osgi.bundle,org.eclipse.jdt.ui,3.12.1.v20160822-0645

      No repository found containing: osgi.bundle,org.eclipse.jface.text,3.11.1.v20160819-1517

      No repository found containing: osgi.bundle,org.eclipse.jgit,4.4.1.201607150455-r

      No repository found containing: osgi.bundle,org.eclipse.jgit.archive,4.4.1.201607150455-r

      No repository found containing: osgi.bundle,org.eclipse.json,1.0.1.v201608111756

      No repository found containing: osgi.bundle,org.eclipse.jst.j2ee,1.1.900.v201607282038

      No repository found containing: osgi.bundle,org.eclipse.jst.j2ee.web,1.1.851.v201608191717

      No repository found containing: osgi.bundle,org.eclipse.jst.jsp.core,1.2.901.v201608060346

      No repository found containing: osgi.bundle,org.eclipse.jst.server.tomcat.core,1.1.801.v201609071751

      No repository found containing: osgi.bundle,org.eclipse.jst.server.tomcat.ui,1.1.501.v201609071751

      No repository found containing: osgi.bundle,org.eclipse.linuxtools.docker.core,2.1.0.201609141916

      No repository found containing: osgi.bundle,org.eclipse.linuxtools.docker.docs,2.1.0.201609141916

      No repository found containing: osgi.bundle,org.eclipse.linuxtools.docker.editor,1.0.0.201609141916

      No repository found containing: osgi.bundle,org.eclipse.linuxtools.docker.ui,2.1.0.201609141916

      No repository found containing: osgi.bundle,org.eclipse.linuxtools.vagrant.core,2.0.0.201609141916

      No repository found containing: osgi.bundle,org.eclipse.linuxtools.vagrant.docs,2.0.0.201609141916

      No repository found containing: osgi.bundle,org.eclipse.linuxtools.vagrant.ui,2.0.0.201609141916

      No repository found containing: osgi.bundle,org.eclipse.m2e.wtp,1.3.1.20160831-1005

      No repository found containing: osgi.bundle,org.eclipse.m2e.wtp.jaxrs,1.3.1.20160831-1005

      No repository found containing: osgi.bundle,org.eclipse.m2e.wtp.jpa,1.3.1.20160831-1005

      No repository found containing: osgi.bundle,org.eclipse.m2e.wtp.jsf,1.3.1.20160831-1005

      No repository found containing: osgi.bundle,org.eclipse.m2e.wtp.overlay,1.3.1.20160831-1005

      No repository found containing: osgi.bundle,org.eclipse.m2e.wtp.overlay.ui,1.3.1.20160831-1005

      No repository found containing: osgi.bundle,org.eclipse.osgi,3.11.1.v20160708-1632

      No repository found containing: osgi.bundle,org.eclipse.pde,3.12.1.v20160907-1200

      No repository found containing: osgi.bundle,org.eclipse.pde.api.tools,1.1.1.v20160811-0626

      No repository found containing: osgi.bundle,org.eclipse.pde.doc.user,3.12.1.v20160825-1158

      No repository found containing: osgi.bundle,org.eclipse.pde.ui,3.9.1.v20160813-1107

      No repository found containing: osgi.bundle,org.eclipse.platform,4.6.1.v20160907-1200

      No repository found containing: osgi.bundle,org.eclipse.platform.doc.user,4.6.1.v20160727-2009

      No repository found containing: osgi.bundle,org.eclipse.rcp,4.6.1.v20160907-1200

      No repository found containing: osgi.bundle,org.eclipse.recommenders.apidocs,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.apidocs.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.calls,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.calls.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.chain.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.completion.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.constructors,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.constructors.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.coordinates,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.coordinates.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.injection,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.jayes,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.jayes.io,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.jdt,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.models,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.models.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.net,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.overrides,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.overrides.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.snipmatch,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.snipmatch.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.subwords.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.types.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.utils,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.recommenders.utils.rcp,2.4.3.v20160913-0645

      No repository found containing: osgi.bundle,org.eclipse.swt,3.105.1.v20160907-0248

      No repository found containing: osgi.bundle,org.eclipse.swt.win32.win32.x86_64,3.105.1.v20160907-0248

      No repository found containing: osgi.bundle,org.eclipse.ui.browser,3.5.1.v20160712-0914

      No repository found containing: osgi.bundle,org.eclipse.ui.ide,3.12.1.v20160823-0925

      No repository found containing: osgi.bundle,org.eclipse.ui.ide.application,1.1.101.v20160829-0827

      No repository found containing: osgi.bundle,org.eclipse.ui.intro,3.5.1.v20160829-1558

      No repository found containing: osgi.bundle,org.eclipse.ui.intro.universal,3.3.1.v20160829-1558

      No repository found containing: osgi.bundle,org.eclipse.ui.themes,1.1.200.v20160815-0536

      No repository found containing: osgi.bundle,org.eclipse.ui.views,3.8.101.v20160816-1954

      No repository found containing: osgi.bundle,org.eclipse.ui.views.log,1.2.1.v20160829-0826

      No repository found containing: osgi.bundle,org.eclipse.ui.workbench,3.108.1.v20160819-2118

      No repository found containing: osgi.bundle,org.eclipse.ui.workbench.texteditor,3.10.1.v20160818-1626

      No repository found containing: osgi.bundle,org.eclipse.wst.css.ui,1.0.1001.v201608060346

      No repository found containing: osgi.bundle,org.eclipse.wst.html.core,1.2.1.v201608061844

      No repository found containing: osgi.bundle,org.eclipse.wst.html.ui,1.0.1101.v201608060430

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.chromium,0.4.0.v201608161838

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.chromium.debug.core,0.5.0.v201608251013

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.chromium.debug.jsdtbridge,0.4.0.v201608251013

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.chromium.debug.ui,0.6.0.v201608251013

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.chromium.wipbackend.dev,0.4.0.v201609071943

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.core,2.0.0.v201608251059

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.debug.core,3.1.300.v201607272142

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.js.common,1.0.0.v201608251013

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.js.grunt,1.0.0.v201608172121

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.js.gulp,1.0.0.v201607211454

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.js.node,1.0.0.v201608102114

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.js.npm,1.0.0.v201607180823

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.ui,2.0.0.v201608301904

      No repository found containing: osgi.bundle,org.eclipse.wst.json.core,1.0.1.v201608161659

      No repository found containing: osgi.bundle,org.eclipse.wst.json.schemaprocessor,1.0.100.v201609072018

      No repository found containing: osgi.bundle,org.eclipse.wst.json.ui,1.0.1.v201608312053

      No repository found containing: osgi.bundle,org.eclipse.wst.server.ui,1.5.306.v201609011808

      No repository found containing: osgi.bundle,org.eclipse.wst.sse.core,1.1.1000.v201608061842

      No repository found containing: osgi.bundle,org.hibernate.eclipse.console,5.1.2.v20160926-1506

      No repository found containing: osgi.bundle,org.jboss.ide.eclipse.archives.core,3.6.102.v20161006-2039

      No repository found containing: osgi.bundle,org.jboss.ide.eclipse.as.core,3.2.2.v20161006-2033

      No repository found containing: osgi.bundle,org.jboss.ide.eclipse.as.jmx.integration,3.2.2.v20161005-1917

      No repository found containing: osgi.bundle,org.jboss.ide.eclipse.as.management.core,3.2.2.v20161004-2219

      No repository found containing: osgi.bundle,org.jboss.ide.eclipse.as.rse.core,3.2.2.v20161005-1756

      No repository found containing: osgi.bundle,org.jboss.ide.eclipse.as.ui,3.2.2.v20160927-1749

      No repository found containing: osgi.bundle,org.jboss.ide.eclipse.as.ui.mbeans,3.2.2.v20160927-1752

      No repository found containing: osgi.bundle,org.jboss.ide.eclipse.as.wtp.core,3.2.2.v20161006-2008

      No repository found containing: osgi.bundle,org.jboss.tools.forge.runtime,2.0.102.v20161003-1654

      No repository found containing: osgi.bundle,org.jboss.tools.foundation.core,1.3.2.AM2-v20161009-0619-B1181

      No repository found containing: osgi.bundle,org.jboss.tools.hibernate.jpt.ui,5.1.2.v20160927-0905

      No repository found containing: osgi.bundle,org.jboss.tools.hibernate.runtime.v_5_0,5.1.2.v20161005-0718

      No repository found containing: osgi.bundle,org.jboss.tools.hibernate.runtime.v_5_1,5.1.2.v20161005-0718

      No repository found containing: osgi.bundle,org.jboss.tools.hibernate.runtime.v_5_2,5.1.2.v20161005-0718

      No repository found containing: osgi.bundle,org.jboss.tools.jmx.jvmmonitor.core,1.8.2.v20160927-1753

      No repository found containing: osgi.bundle,org.jboss.tools.jmx.jvmmonitor.ui,1.8.2.v20161006-2026

      No repository found containing: osgi.bundle,org.jboss.tools.jmx.local,1.8.2.v20160927-1753

      No repository found containing: osgi.bundle,org.jboss.tools.jst.web.kb,3.8.2.v20161007-2349

      No repository found containing: osgi.bundle,org.jboss.tools.openshift.cdk.server,3.3.1.v20161005-1936

      No repository found containing: osgi.bundle,org.jboss.tools.openshift.client,3.3.1.AM2-v20161009-0753-B1603

      No repository found containing: osgi.bundle,org.jboss.tools.openshift.common.ui,3.3.1.v20161006-1425

      No repository found containing: osgi.bundle,org.jboss.tools.openshift.express.ui,3.3.1.v20161003-1104

      No repository found containing: osgi.bundle,org.jboss.tools.openshift.ui,3.3.1.v20161006-1425

      No repository found containing: org.eclipse.update.feature,com.jboss.devstudio.core.feature,10.2.0.v20161010-0511

      No repository found containing: binary,com.jboss.devstudio.core.package.executable.win32.win32.x86_64,10.2.0.AM2-v20161010-0511-B6181

      No repository found containing: org.eclipse.update.feature,com.jboss.devstudio.core.rpm.feature,10.2.0.v20161010-0511

      No repository found containing: org.eclipse.update.feature,org.eclipse.cvs,1.4.300.v20160907-1200

      No repository found containing: org.eclipse.update.feature,org.eclipse.e4.rcp,1.5.1.v20160907-0248

      No repository found containing: org.eclipse.update.feature,org.eclipse.ecf.core.feature,1.3.0.v20160823-2221

      No repository found containing: org.eclipse.update.feature,org.eclipse.ecf.core.ssl.feature,1.1.0.v20160823-2221

      No repository found containing: org.eclipse.update.feature,org.eclipse.ecf.filetransfer.feature,3.13.2.v20160823-2221

      No repository found containing: org.eclipse.update.feature,org.eclipse.ecf.filetransfer.httpclient4.feature,3.13.2.v20160823-2221

      No repository found containing: org.eclipse.update.feature,org.eclipse.ecf.filetransfer.httpclient4.ssl.feature,1.1.0.v20160823-2221

      No repository found containing: org.eclipse.update.feature,org.eclipse.ecf.filetransfer.ssl.feature,1.1.0.v20160823-2221

      No repository found containing: org.eclipse.update.feature,org.eclipse.egit,4.4.1.201607150455-r

      No repository found containing: org.eclipse.update.feature,org.eclipse.epp.logging.aeri.feature,2.0.3.v20160905-1331

      No repository found containing: org.eclipse.update.feature,org.eclipse.equinox.p2.core.feature,1.3.200.v20160815-1406

      No repository found containing: org.eclipse.update.feature,org.eclipse.equinox.p2.extras.feature,1.2.200.v20160815-1406

      No repository found containing: org.eclipse.update.feature,org.eclipse.equinox.p2.rcp.feature,1.2.200.v20160815-1406

      No repository found containing: org.eclipse.update.feature,org.eclipse.equinox.p2.user.ui,2.2.200.v20160815-1406

      No repository found containing: org.eclipse.update.feature,org.eclipse.help,2.2.0.v20160907-1200

      No repository found containing: org.eclipse.update.feature,org.eclipse.jdt,3.12.1.v20160907-1200

      No repository found containing: org.eclipse.update.feature,org.eclipse.jgit,4.4.1.201607150455-r

      No repository found containing: org.eclipse.update.feature,org.eclipse.jst.web_core.feature,3.8.0.v201608191717

      No repository found containing: org.eclipse.update.feature,org.eclipse.jst.web_ui.feature,3.8.0.v201608191717

      No repository found containing: org.eclipse.update.feature,org.eclipse.linuxtools.docker.feature,2.1.0.201609141916

      No repository found containing: org.eclipse.update.feature,org.eclipse.linuxtools.vagrant.feature,2.1.0.201609141916

      No repository found containing: org.eclipse.update.feature,org.eclipse.m2e.wtp.feature,1.3.1.20160831-1005

      No repository found containing: org.eclipse.update.feature,org.eclipse.m2e.wtp.jaxrs.feature,1.3.1.20160831-1005

      No repository found containing: org.eclipse.update.feature,org.eclipse.m2e.wtp.jpa.feature,1.3.1.20160831-1005

      No repository found containing: org.eclipse.update.feature,org.eclipse.m2e.wtp.jsf.feature,1.3.1.20160831-1005

      No repository found containing: org.eclipse.update.feature,org.eclipse.pde,3.12.1.v20160907-1200

      No repository found containing: org.eclipse.update.feature,org.eclipse.platform,4.6.1.v20160907-1200

      No repository found containing: binary,org.eclipse.platform_root,4.6.1.v20160907-1200

      No repository found containing: org.eclipse.update.feature,org.eclipse.rcp,4.6.1.v20160907-1200

      No repository found containing: binary,org.eclipse.rcp_root,4.6.1.v20160907-1200

      No repository found containing: org.eclipse.update.feature,org.eclipse.recommenders.rcp.feature,2.4.3.v20160913-0645

      No repository found containing: org.eclipse.update.feature,org.eclipse.recommenders.snipmatch.rcp.feature,2.4.3.v20160913-0645

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.jsdt.chromium.debug.feature,0.4.0.v201609071943

      No repository found containing: osgi.bundle,org.eclipse.wst.jsdt.chromium.debug.js,0.1.0.v201608311919

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.jsdt.feature,2.0.0.v201608301904

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.jsdt.nodejs.feature,1.0.0.v201608251013

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.json_core.feature,1.0.0.v201609072018

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.json_ui.feature,1.0.0.v201609072018

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.server_ui.feature,3.3.655.v201609011813

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.web_core.feature,3.8.1.v201609072018

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.web_ui.feature,3.8.1.v201609072018

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.ws_ui.feature,3.8.0.v201608061842

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.xml_core.feature,3.8.0.v201608061842

      No repository found containing: org.eclipse.update.feature,org.eclipse.wst.xml_ui.feature,3.8.0.v201608061842

      No repository found containing: org.eclipse.update.feature,org.hibernate.eclipse.feature,5.1.2.v20161005-0718

      No repository found containing: org.eclipse.update.feature,org.jboss.ide.eclipse.archives.feature,3.6.102.v20161006-2039

      No repository found containing: org.eclipse.update.feature,org.jboss.ide.eclipse.as.archives.integration.feature,3.2.2.v20161006-2033

      No repository found containing: org.eclipse.update.feature,org.jboss.ide.eclipse.as.feature,3.2.2.v20161006-2033

      No repository found containing: org.eclipse.update.feature,org.jboss.ide.eclipse.as.jmx.integration.feature,3.2.2.v20161006-2033

      No repository found containing: org.eclipse.update.feature,org.jboss.ide.eclipse.as.server.rse.integration.feature,3.2.2.v20161005-1756

      No repository found containing: org.eclipse.update.feature,org.jboss.ide.eclipse.as.serverAdapter.wtp.feature,3.2.2.v20161006-2033

      No repository found containing: org.eclipse.update.feature,org.jboss.tools.central.easymport.feature,4.4.2.v20160929-0420

      No repository found containing: org.eclipse.update.feature,org.jboss.tools.forge.feature,2.0.102.v20161003-1654

      No repository found containing: org.eclipse.update.feature,org.jboss.tools.foundation.feature,1.3.2.v20161009-0619

      No repository found containing: org.eclipse.update.feature,org.jboss.tools.jmx.feature,1.8.2.v20161006-2026

      No repository found containing: org.eclipse.update.feature,org.jboss.tools.jst.feature,3.8.2.v20161007-2349

      No repository found containing: org.eclipse.update.feature,org.jboss.tools.openshift.cdk.feature,3.3.1.v20161005-1936

      No repository found containing: org.eclipse.update.feature,org.jboss.tools.openshift.express.feature,3.3.1.v20161006-1425

      No repository found containing: org.eclipse.update.feature,org.jboss.tools.openshift.feature,3.3.1.v20161009-0753

       

      I have the following repositories defined:

       

      https://devstudio.redhat.com/10.0/snapshots/builds/jbosstools-discovery.central_master/latest/all/repo/

      https://devstudio.redhat.com/10.0/stable/updates/

      https://devstudio.redhat.com/10.0/staging/updates/

       

      Kind regards,

       

      Nicolas

        • 1. Re: Can't update JBDS 10.2.0.AM1
          Alexey Kazakov Master

          Hi,

           

          Just for clarification. There is no official release of Devstudio 10.2.0.AM1. We released JBoss Tools 4.2.0.AM1 only. We produced some Devstudio 10.2.0.AM1 bits for testing purposes only. So, some stuff in Devstudio AM1 can be broken.

          • 2. Re: Can't update JBDS 10.2.0.AM1
            nicolas duminil Master

            Hi,

            I'm not sure how such an answer tomy issue is supposed to help me as it looks more like a disclaimer.

            I installed JBDS 10.0. After a while, I recived different update notifications that I accepted and this way I found myself with 10.2.0.AM1. So, if this is not an official release, why do you propose to upgrade to it such that, later, people gets stuck by stuff that yourself say it's broken ? So the tools proposes updates that it is not able to perform ? I doesn't have much sense and it's not serious.

             

            Kind regards,

             

            Nicolas

            • 3. Re: Can't update JBDS 10.2.0.AM1
              Nick Boldt Master

              If your devstudio install contains a link in Help > Update > Available Software Sites to https://devstudio.jboss.com/10.0/staging/updates/ you will see those staged but unreleased updates.

               

              If you don't want to get those updates, remove or disable the site from that list.

               

              You should really only be watching for updates on this URL:

               

              https://devstudio.jboss.com/10.0/stable/updates/

               

              Regarding the specific error, it's possible that if you try again, you'll get different results. Since you're looking for updates from a SNAPSHOT URL ( https://devstudio.redhat.com/10.0/snapshots/builds/jbosstools-discovery.central_master/latest/all/repo/ ) you will on occasion hit a site that is changing while you're reading it. So, try again a little bit later and a new snapshot should be available.

               

              Why did you start looking for updates from that site?

              • 4. Re: Can't update JBDS 10.2.0.AM1
                nicolas duminil Master

                Let my try to clarify a couple of things here:

                1. When you install JBDS at downloaded from the site, it configures itself with the three update sites mentioned in the description of my issue.
                2. If one isn't supposed to configure all these thre update sites, why then the tools automaticaly and implictly configures itself with the three ?
                3. If there is a post-install step consisting in disabling some of the automatically configured update sites, why insn't it documented ?
                4. I'm not looking for updates from a SNAPSHOT URL, I'm not looking for updates at al. Instead, your tool is notifying me that there are updates available and then thinking that there is no reason to not to have the last updsates, people tends to accept them. While doing that, they don't have any idea that these upodates come from a SNAPSHOT URL as there is no information saying that.
                5. Yes, I'v tried to accept the updates that the tool is proposing to me since several date and the result is always the same: see the raised exception.
                6. Now, after all these explanations, I hope you understood that I didn't start looking from updates from any site but that your tool automatically proposes to users to perform updates from all the three sites.
                7. Last but not least, I still don't see what this kind of answers to the issue I posted is supposed to help me. What am I supposed to do now that the tool proposes updates that it is not able itself to perform ? Just to think that the tool sucks and to ignore the notifications ?

                Kind regards,

                 

                Nicolas

                • 5. Re: Can't update JBDS 10.2.0.AM1
                  Alexey Kazakov Master

                  You said that you are using JBDS 10.2..0.AM1. Where did you get it?

                  There is only 10.1.0.GA available in JBoss Developer Studio - Downloads | 'Red Hat Developers' and JBoss Tools - Downloads

                  And there is no staging update sites in 10.1.0.GA. Only the stable one.

                  We just need to understand all the steps you are doing to see how we can help.

                  • 6. Re: Can't update JBDS 10.2.0.AM1
                    Nick Boldt Master

                    1. Please clarify, "When you install JBDS at downloaded from the site, " --- which URL did you use to download devstudio? Did you download an installer jar, or install from Eclipse Marketplace? Or from an update site on devstudio.redhat.com ?

                    2. Could be a bug in devstudio itself, rather than a documentation problem.

                    3. You shouldn't have to. You shouldn't see the snapshot site unless you manually added it, which suggests a bug (as in #2).

                    4. All Eclipse-based products will tell you about updates. You can disable that behaviour if you don't want that - go to Help > Preferences and uncheck the 'Automatically find new updates and notify me' box:

                    updates-in-devstudio.png

                    5. I'll investigate.

                    6. Yes.

                    7. Yes, ignore them or disable them. But more importantly, I'd like to know how you found the https://devstudio.redhat.com/10.0/snapshots/builds/jbosstools-discovery.central_master/latest/all/repo/ site in the first place, and why it's appearing in your devstudio. That smells like a bug.

                     

                     

                    • 7. Re: Can't update JBDS 10.2.0.AM1
                      Denis Golovin Master

                      nicolas duminil wrote:

                       

                      When you install JBDS at downloaded from the site, it configures itself with the three update sites mentioned in the description of my issue.

                      This is not the case. When you start fresh with new installation of any GA and use new workspace for eclipse there is only one link to stable repository. Then when something else installed form different repos you can get new repositories defined. The answer for why you get updates for unstable stuff depends on missing info between "I installed JBDS 10.0" and "After a while, I recived different update notifications that I accepted and this way I found myself with 10.2.0.AM1". What happened during that period would help to Identify where that snapshots trickle into your JBDS installation. Also would be good to know what was the exact version of JBDS installed and what kind of installation was used.

                       

                      Thanks

                      • 8. Re: Can't update JBDS 10.2.0.AM1
                        nicolas duminil Master

                        @Aleksei: I said that I'm using JBDS 10.2.0.AM1 because this is the information that JBDS displays when I do Help->About ...

                        As already explained, I have downloaded JBDS 10.0.GA from the official site, I installed it and, during the next days, I received several times update notifications. The I went to Help->Check for Updates, I got a list of available updates and I accepted all of them. This way, after a while, I came up to 10.2.0.AM1.

                        • 9. Re: Can't update JBDS 10.2.0.AM1
                          nicolas duminil Master

                          @Nick:

                          1. From Red Hat JBoss Developer Studio | 'Red Hat Developers' Only the installer is available.
                          2. No comments
                          3. I shouldn't see the snapshots but I do
                          4. I don't want to disable anything. I'm just saying that I just performed all the updates which were proposed each time I did Help->Check for Updates
                          5. No comments
                          6. No comments
                          7. Once again, disabling functionalities doesn't mean fixin problems. I don't want to diable functionalities, I just would like they work properly.
                          • 10. Re: Can't update JBDS 10.2.0.AM1
                            nicolas duminil Master

                            @Denis:

                            "What happened during that period would help to Identify where that snapshots trickle into your JBDS installation."

                             

                            As far as I remember, nothing happened. After installation, I went to RedHat Central and I selected the additional stuff I needed. THis additional stuff got installed correctly. Starting with the day after I received update notifications. Then, I went to Help-Check for updates and I selected and installed all the proposed updates. I did that because I didn't have any reason not to do it. As a matter of fact, while using an IDE, it's probably natural and legitim to want your IDE to be updated with the last stable releases. Which doesn't mean you want the last crap commited yesterday night.

                            1 of 1 people found this helpful
                            • 11. Re: Can't update JBDS 10.2.0.AM1
                              Pavol Srna Newbie

                              Hi Nicolas,

                               

                              I went through the following paths Today and tried to reproduce your issue:

                               

                              • Download devstudio 10.0.0.GA - check available update sites -- all OK
                                • Screenshot 2016-10-12 13.45.38.png
                              • Install All content from JBoss Central - (Early Access enabled too) -- check available update sites after installation -- all seems OK
                                • Screenshot 2016-10-12 14.05.53.png
                              • devstudio 10.0.0.GA offers an update for 10.1.0.GA -- which is expected.
                              • Install 10.1.0.GA update and check available update sites -- all seems OK
                              • Check for Updates in 10.1.0.GA -- studio says all is up to date (no update for 10.2.0.AMx is offered)

                               

                              I was not successful reproducing your issue. Do you have an idea what step may I be missing?

                               

                              Thank you!

                               

                              -P.

                              • 12. Re: Can't update JBDS 10.2.0.AM1
                                Denis Golovin Master

                                I am sorry you got into this problem, but unfortunately IMO there is only way out of it - reinstalling JBDS 10.1.0.GA and components provided from Central.

                                 

                                From what you said and Pavol's tests, I can say that you probably picked up that wrong repository url from one of the components installed from Red Hat Central. Central's repository content can be updated any time after JBDS release, there could be component published with references to wrong repos at some time in past. It looks like it is fixed now, considering Pavol cannot replicate that problem with starting with JBDS 10.0.0.GA.

                                • 13. Re: Can't update JBDS 10.2.0.AM1
                                  Nick Boldt Master

                                  To prevent this in future, I've opened [JBDS-4112] create verification test to ensure that we never point a GA release at snapshot or staging URLs in ide-confi…

                                   

                                  Do you recall on what date you downloaded the devstudio installer jar? On what date you first updated it to 10.2.0.AM1 or tried to install something from Central? Any additional clues to how/when this happened would be most helpful to avoid it in future. You should NEVER get staging/snapshot content into your .GA release, unless you EXPLICITLY ask for it and assume the risk involved in trying out an early milestone.